<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ReadXmlController;
use App\Http\Controllers\SaveXmlController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get("read-xml", [ReadXmlController::class, "index"]);


Route::match(["get", "post"], "save-xml", [SaveXmlController::class, "index"])->name('xml-upload');


Route::get('/', function () {
    return view('welcome');
});
